delete_scoring_model

DELETE /v1/scoring_models/{model_id} deletes a scoring model, with its records. Admins only.

Only with an API key an admin of your organization created. This can't be undone: to stop calls to a scoring model without deleting it, archive it with update_scoring_model.

DELETE
/v1/scoring_models/{model_id}

Deletes a scoring model, with its records. Calls to it get 404 scoring_model_not_found from then on, and it can't be undone: to stop using one without deleting it, archive it with update_scoring_model. Only an admin of your organization can delete a scoring model: use an API key an admin created.

Path parameters

FieldTypeDescription
model_idrequiredstring

The scoring model's model_id.

Responses

The scoring model is deleted.

FieldTypeDescription
model_idstring

The scoring model's id

deletedboolean

Always true.

Examples

Example Request
curl -X DELETE 'https://api.finic.ai/v1/scoring_models/string' \  -H "Authorization: Bearer $FINIC_API_KEY"
Example Response
{  "model_id": "scm_01M4XRC000RT2GZSKYPD8J86G9",  "deleted": true}